/**
(c) Copyright CERN 2005. All rights not expressly granted are reserved.
icecontrols.support@cern.ch

SPDX-License-Identifier: LGPL-3.0-only
 **/

void main()
{
    int idTop = moduleAddMenu("UNICOS Framework");

    // UNICOS HMI Classic
    int idAction = moduleAddAction("UNICOS HMI (new)", "unIconLibrary/UNICOS.svg", "", idTop, -1, "_openUnicosHmiNew");
}

private void _openUnicosHmiNew()
{
    if (isModuleOpen(UNHMI_MAIN_MODULE_NAME)){
        DebugTN("[INFO] Only one UNICOS HMI can be open from gedi. Bringing back the one already open.", __FILE__, __FUNCTION__, __LINE__);
        moduleHide(UNHMI_MAIN_MODULE_NAME);
        moduleShow(UNHMI_MAIN_MODULE_NAME);

        return;
    }

    ModuleOnWithPanel("UNICOS_HMI_CLASSIC",
                      -1, -1, 100, 200, 1, 1,
                      "",
                      "unHMI.pnl",
                      "UNICOS_NEW",
                      makeDynString());
}
